import { Observable } from 'rxjs';
import { LocationChangeAction } from 'connected-react-router';
import { ApolloClient } from '@apollo/client';
import { interfaces } from 'inversify';
import { IClientService } from '@adminide-stack/core';
import { IController, IExtServices } from '@adminide-stack/extension-api';
export declare function useExtensionController(): IController;
export declare const onLocationChangedToLoadExtEpic: (action$: Observable<LocationChangeAction>, state$: Observable<any>, { apolloClient, routes, services, container }: {
    apolloClient: ApolloClient<any>;
    routes: any;
    services: IClientService & IExtServices;
    container: interfaces.Container;
}) => Observable<never>;
